Autor Wątek: Re: WTW a IE 7  (Przeczytany 74 razy)

0 Użytkowników i 1 Gość przegląda ten wątek.

ULLISSES

  • Gość
Re: WTW a IE 7
« dnia: Marca 25, 2010, 19:07:11 pm »
Wiem, że stary temat, ale to jedyny który wywaliła wyszukiwarka w tym dziale - pisać nowego dla jednego posta nie ma sensu.

Nie zamierzam prosić o zmianę tegoż silnika, chociaż nie jestem jego zwolennikiem. Chodzi mi o coś zupełnie innego...

Ponieważ mam XP SP3, a IE w wersji 6.0 leży na dysku tylko w celu sprawdzenia poprawności wyświetlania stron WWW, to nie zamierzam instalować żadnego IE7, ani tym bardziej IE8. Dlatego prosiłbym o możliwość wyłączenia komunikatu powitalnego w WTW o treści:
Cytuj
Masz zainstalowany IE starszy niż 7, możesz oczekiwać problemów(..)"

Przy pierwszym uruchomieniu przeczytałem informację i pogodziłem się z ewentualnymi problemami. Nie potrzebuję oglądać je ponownie. Proponowana zmiana to dodanie do w/w okna obiektu checkbox o treści "Nie pokazuj więcej tego ostrzeżenia". Ewentualnie jestem skłonny na kompromis w postaci opcji "Nie pokazuj żadnych błędów i ostrzeżeń".

Ostatecznie udzielenia info, gdzie i jaki bajt kodu przestawić ;)

Za wszelką pomoc/info z góry dziękuję.

BTW: Kawał dobrej roboty ten WTW.

ULLISSES

  • Gość
Re: WTW a IE 7
« Odpowiedź #1 dnia: Marca 26, 2010, 07:42:50 am »
1. czy youtuba też poprosisz o wyłączenie komunikatu nawołującego do zmiany przeglądarki na nowoczesną?
czy poczekasz aż zupełnie wyłączą możliwość uruchamiania pod ie6?
2. od trzymania trupa w postaci ie6 na dysku, pod którego strony piszą już tylko desperaci, wolałbym programik w stylu http://www.my-debugbar.com/wiki/IETester/HomePage
3. jeżeli bardzo się jednak upierasz przy opcji wyłączania komunikatu zrób sobie reverse engineering kodu i sam znajdź co trzeba przestawić
4. nie sądzę żeby Kaworu poszedł nawet na kompromis ;)
1. Nie muszę o nic prosić. Mam FF 3.6.2 oraz Operę 10.50. Na kij mi nowszy IE? Czytanie ze zrozumieniem...?
2. Mam go (pobrałem, nie instalowałem, chyba usunę), ale po co instalować coś, co już mam na dysku w postaci IE6? IETab też próbowałem, ale lubi wysypać przeglądarkę.
3. Obawiałem się, że będę musiał to zrobić. No cóż...
4. Nie mówię, że ma to być w wersji oficjalnej - niech będzie jakaś wersja na polu minowym. Ja sobie pobiorę i zainstaluję - wilk syty i owca cała.

zhvir:
Ale zastanów się i odpowiedz szczerze: Po kij mi IE8, skoro mam FF na co dzień oraz Operę do testów?
IE6 używam tylko i wyłącznie do testów, jeśli ktoś się uprze na zgodność z tym zabytkiem Internetu.

Cytuj
w obsłudze emotek, czy w obsłudze stylów czata
A niech wyskakują - oby jak najwięcej. Brak natywnej obsługi emot to jeden z powodów używania WTW. ;)

Cytuj
postuluję całkowite zablokowanie instalacji wtw na maszynach wyposażonych w IE6.
Skoro używasz Visty/W7 albo lubisz sobie zaśmiecać XP zupełnie nieprzydatnymi narzędziami, to proszę bardzo :P

Cytuj
A może wyłączanie tego tylko za pomocą konsoli?
Popieram.

Cytuj
Sorry ale IE6 jest trupem i należy napiętnować ludzi używających go!
Ja uważam silnik Trident za zacofany, źle rozwijany i 64bit to żadne osiągnięcie. Uważam, że powinno się piętnować programistów używających go. ;)

Moja prośba do Kaworu:
Jedna nocna kompilacja z wyłączonymi ostrzeżeniami i błędami - albo chociaż z wyłączonym tym ostrzeżeniem, o którym mowa. Dzięki z góry :)

Edit:
W sumie już sobie skasowałem "foremkę" ostrzeżeń, ale innym może nie pójść tak łatwo, więc podtrzymują propozycję z wyłączeniem z poziomu konsoli.
Dla chętnych do pobrania tutaj: http://cws.i-slownik.pl/dodatki.html
« Ostatnia zmiana: Marca 26, 2010, 08:08:23 am wysłana przez ULLISSES »